Subject: PCMCIA Hardware question

From: "Gerhard TAEUBL" <[email-masked]>
Date: Thu, 08 May 2003 15:33:40 +0200

Hi!

PCMCIA works fine, I could use flashcards as IDE or Ethernetcards. But not all Ethernetcards!

If I use a D-Link or Netgear (same chip) they work fine, but if I try to use a 3Com card the processor freeze.
O.K. so I write a small testprogramm which run native on our custom board, and map pcmcia space and try to access the attribute memory. D-Link card works fine, 3Com card the same issue.

Well back to the roots, take a scope and messaure some signals, and there I see, that the 3com cards set the WAIT signal to low, and thats it! So the MPC freeze, thats now clear, but why? I think the 3com card (PCMCIA card) set the Wait signal, so why get the wait signal not high like on the other cards? Any ideas, could this be a timing problem? But I play with the timing settings a little bit without any change.

The 3com card works fine on a x86 laptop, so it isn't defect.

Our hardware is a MPC860T and pcmcia is on port a (an own hardware)
3com card: 3CCFE574BT, or a 572BT

Pleas help!
best regards
Gerhard

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/